#
# This is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# "The Java Telnet Application" is distributed in the hope that it will be 
# useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this software; see the file COPYING.  If not, write to the
# Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA.

# =======================================================================
# common program defaults
# =======================================================================
plugins			=	Status,Socket,Telnet,Terminal,Script
pluginPath		=	de.mud.jta.plugin
layout			=	BorderLayout
layout.Terminal		=	Center
layout.Status		=	South
layout.MudConnect	=	North


# =======================================================================
# Applet defaults
# =======================================================================
Applet.detach		=	false
Applet.detach.immediately =	false
Applet.detach.menuBar	=	true
Applet.detach.startText	=	Connect
Applet.detach.stopText	=	Disonnect
Applet.disconnect	=	true
Applet.disconnect.closeWindow	=	true
# to make Netscape behave good we would like to have some privileges
Applet.Netscape.privilege	=	UniversalConnect,UniversalPrintJobAccess,UniversalSystemClipboardAccess

# =======================================================================
# Socket defaults
# =======================================================================
#Socket.host		=	www-server
Socket.port		=	23

# =======================================================================
# Timeout settings
# =======================================================================
Timeout.seconds		=	60
Timeout.command		=	exit\n

# =======================================================================
# Terminal defaults
# =======================================================================
Terminal.foreground	=	#ffffff
Terminal.background	=	#000000
Terminal.print.color	=	false
Terminal.border		=	2
Terminal.borderRaised	=	false
Terminal.colorSet	=	/de/mud/terminal/colorSet.conf
Terminal.scrollBar	=	West
# now the real configuration
Terminal.id		=	vt320
Terminal.buffer		=	100
Terminal.size		=	[80, 24]
Terminal.resize		=	none
Terminal.font		=	Monospaced
Terminal.fontStyle	=	plain
Terminal.fontSize	=	11
Terminal.keyCodes	=	/de/mud/terminal/keyCodes.conf
Terminal.VMS		=	false
Terminal.IBM		=	false